# Uses of Record Class
net.shibboleth.idp.attribute.resolver.dc.storage.impl.TemplatedSearchBuilder.ContextAndKey

Packages that use TemplatedSearchBuilder.ContextAndKey
Package
Description
net.shibboleth.idp.attribute.resolver.dc.storage.impl
Implementation of StorageService-backed data connector.

## Uses of TemplatedSearchBuilder.ContextAndKey in net.shibboleth.idp.attribute.resolver.dc.storage.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.storage.impl that return TemplatedSearchBuilder.ContextAndKey
Modifier and Type
Method
Description
`private TemplatedSearchBuilder.ContextAndKey`
TemplatedSearchBuilder.`getContextAndKey(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Helper method to extract the parameters needed for the `StorageServiceSearch`.